Replace By Fee¶
Replace-By-Fee (RBF) allows resending an unconfirmed Ethereum transaction with a higher gas fee, replacing the original pending transaction to speed up confirmation on the network.
Only supports ETH series
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| order_no Required | String | Order ID |
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| level Required | String | Gas fee acceleration level. Applies a percentage increase on top of the estimated network fee to speed up transaction confirmation. Allowed values: LEVEL1 (+15%), LEVEL2 (+20%), LEVEL3 (+30%), CUSTOM |
| gas_price Optional | Decimal | Customize rate, level value must be CUSTOM |
Request Body Example
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | String | Gas price |